PDA

View Full Version : Odd error after compiling, with different versions of flash player installed


chrismarx
09-25-2008, 07:32 PM
I have a flex app, and i used to have flash version 9.0.47.0 installed. when others with that or above versions views the app, no problems. Then i upgraded to the latest versions, and when i republished my project, people with older versions of flash couldn't see certain pics in the app, even though (using FlexSpy) the images and source were set appropriately.

So I downgraded my flash to the earlier versions, and voila, now they can see everything again. Is Flex Builder in any way referencing information from the currently installed version of flash? I can't think of what else could be the problem. I'd like to be able to go back to the latest version, 9.0.47.0 seems to be the version that had the problems with asking about the debugger (my trace statements still work, but i have to click on that popup all the time)-
thanks!

chrismarx
10-16-2008, 08:18 PM
don't know why i didn't see the error messages before, but this actually turned out to be because the server that the app was pointing to didn't have a cross domain policy file, and that's the reason the images werent coming through-